GET https://gate.reviopay.com/api/v1/payment_methods/Description
Send this request providing, at the very least, the brand_id and currency query parameters having the same values you’d use to create your Purchase. Be sure to use the same API key you’ll create your Purchase with; it will define the test_mode setting used in the lookup. In the response body you’ll receive an object with available_payment_methods property containing the list of payment method names available to use with your Purchase (e.g. those codes can be used in payment_method_whitelist field or with ?preferred={payment_method} option of checkout_url). Please note that all lookup arguments must be provided via query parameters after the endpoint, e.g. the minimal call would be similar to: GET /api/v1/payment_methods/?brand_id=75a76529-91c7-4d98-90a9-8a641d70ee52¤cy=EUR
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
brand_id | query | string | yes | Which brand would you like to lookup the available payment methods for. Use the same value (UUID) you’d set the Purchase.brand_id to. |
currency | query | string | yes | Currency you’d use in your Purchase in ISO 4217 format, e.g. EUR. |
country | query | string | no | Country code in the ISO 3166-1 alpha-2 format (e.g. GB). Optional. |
recurring | query | boolean | no | If provided in the format of recurring=true, will filter out the methods that don’t support recurring charges (see POST /purchases/{id}/charge/). |
skip_capture | query | boolean | no | If provided in the format of skip_capture=true, will filter out the methods that don’t support skip_capture functionality (see the description for Purchase.skip_capture field). |
preauthorization | query | boolean | no | If provided in the format of preauthorization=true, will filter out the methods that don’t support preauthorization functionality (see the description for Purchase.skip_capture field). |
language | query | string | no | Language code in the ISO 639-1 format (e.g. ‘en’). Optional. |
Example
curl -X GET https://gate.reviopay.com/api/v1/payment_methods/ \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json'Responses
| Status | Description |
|---|---|
200 | OK |
400 | Invalid data submitted or request processing error |